<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dark_gray"
    android:fillViewport="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <FrameLayout
            android:id="@+id/header_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/header_height"
            android:background="@drawable/home_header_background">

            <TextView
                style="@style/Title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/header_title_margin"
                android:text="@string/send_text" />

            <com.google.android.material.card.MaterialCardView
                android:id="@+id/camera_button"
                style="@style/QRCodeCard"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/header_qr_code_margin">

                <androidx.camera.view.PreviewView
                    android:id="@+id/camera_preview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    app:implementationMode="compatible" />


            </com.google.android.material.card.MaterialCardView>

            <TextView
                style="@style/SubTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|start"
                android:layout_marginStart="@dimen/margin_8"
                android:layout_marginBottom="@dimen/margin_8"
                android:text="@string/details_text" />

        </FrameLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/send_account_recycler_view"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/item_account_height"
            android:layout_gravity="start"
            android:layout_marginHorizontal="@dimen/margin_12"
            android:layout_marginTop="@dimen/margin_12" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/paste_button"
            style="@style/FloatingActionButton"
            android:layout_marginTop="@dimen/margin_16"
            android:src="@drawable/ic_paste"
            android:contentDescription="@string/paste_button_description"/>

        <TextView
            android:id="@+id/paste_text"
            style="@style/SubTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/margin_16"
            android:layout_marginBottom="@dimen/floating_action_button_margin_bottom"
            android:text="@string/paste_button_text" />

    </LinearLayout>

</androidx.core.widget.NestedScrollView>